###################################################
### chunk number 1: initial
###################################################
#line 80 "netresponse.Rnw"
library(netresponse)
data(toydata)
D <- as.matrix(toydata$emat)
netw <- as.matrix(toydata$netw)


###################################################
### chunk number 2: detect
###################################################
#line 92 "netresponse.Rnw"
model <- detect.responses(D, netw, verbose = FALSE)


###################################################
### chunk number 3: stat
###################################################
#line 104 "netresponse.Rnw"
stat <- model.stats(model) 
stat


###################################################
### chunk number 4: getsubnets2
###################################################
#line 117 "netresponse.Rnw"
get.subnets(model, min.size = 2, min.responses = 2)


###################################################
### chunk number 5: resp
###################################################
#line 137 "netresponse.Rnw"
subnet.id <- 'Subnet-2'
response2sample(model, subnet.id)


###################################################
### chunk number 6: pars
###################################################
#line 144 "netresponse.Rnw"
pars <- get.model.parameters(model, subnet.id) # model parameters
pars


###################################################
### chunk number 7: probs
###################################################
#line 151 "netresponse.Rnw"
response.probabilities <- sample2response(model, subnet.id)


###################################################
### chunk number 8: findsimilar
###################################################
#line 162 "netresponse.Rnw"
g <- find.similar.features(model, subnet.id = "Subnet-1")
subset(g, delta < 0)


###################################################
### chunk number 9: icmg
###################################################
#line 190 "netresponse.Rnw"
library(netresponse)
data(osmo)
res <- ICMg.combined.sampler(osmo$ppi, osmo$exp, C=10)
res$comp.memb <- ICMg.get.comp.memberships(osmo$ppi, res)
res$clustering <- apply(res$comp.memb, 2, which.max)


###################################################
### chunk number 10: details
###################################################
#line 208 "netresponse.Rnw"
sessionInfo()


